/*
 * Copyright (c) 2016-2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __INPUT_FILE_H__
#define __INPUT_FILE_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "sa_types.h"

/**
 * @fn        int sa_inputfile_thread
 * @brief     This function to call callback at the condition of file
 * @param     GSource parameter
 * @return    gboolean FALSE
 */
	void *sa_inputfile_thread(void *user_data);

/**
 * @fn        sa_file_state_e sa_inputfile_is_file_exist
 * @brief     This function to check if file exists or not
 * @param     file name string
 * @return    SA_FILE_STATE_EXIST or SA_FILE_STATE_NOT_EXISTED
 */
	sa_file_state_e sa_inputfile_is_file_exist(char *file_name);

/**
 * @fn        int sa_generate_env_folder
 * @brief     This function to create a directory
 * @param     folder path
 * @return    int
 */
	int sa_generate_folder(char *folder_path);

#ifdef __cplusplus
}
#endif
#endif							/* __INPUT_FILE_H__ */
