#! /bin/sh
set -e

# NOTE
# build script for cli interface with cross-compile environment
#		for arm 	: ./build.sh arm
#		for amd64 	: ./build.sh
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
LIBRARY_NAME="libadaptor.a"

TYPES_INCLUDE="../../include"
ADAPTOR_LIB_INCLUDE="install/include/adaptor/"
JSON_LIB_INCLUDE="install/include/json-c/"
# build
#JSON_LIB_PATH=`whereis json-c | awk -F' ' '{print $2}'`
if [ "$1" = "arm" ]; then
	echo "****************************"
	echo "Target Binary arch is ARM"
	echo "****************************"

	ADAPTOR_LIB="install/arm/lib/"
	arm-linux-gnueabi-gcc -static -g -c *.c -I$JSON_LIB_INCLUDE -I$TYPES_INCLUDE
else
	echo "****************************"
	echo "Target Binary arch is amd64"
	echo "****************************"

	ADAPTOR_LIB="install/amd64/lib/"
	gcc -static -g -c *.c -I$JSON_LIB_INCLUDE -I$TYPES_INCLUDE
fi
ar rc $LIBRARY_NAME *.o
echo "\033[1;96mbuilt successfully... \033[0m"
file *.o

echo "\033[1;96minstall successfully... \033[0m"
echo "OUTPUT library : $ADAPTOR_LIB"
echo "OUTPUT header  : $ADAPTOR_LIB_INCLUDE"
ls -Al $ADAPTOR_LIB


# install to local directory
mkdir -p $ADAPTOR_LIB
mkdir -p $ADAPTOR_LIB_INCLUDE
mv $LIBRARY_NAME $ADAPTOR_LIB
cp $TYPES_INCLUDE/*.h $ADAPTOR_LIB_INCLUDE
cp adaptor_api.h $ADAPTOR_LIB_INCLUDE
